--- a/.hgsubstate Wed Dec 12 13:40:28 2018 -0500
+++ b/.hgsubstate Sat Dec 15 16:57:13 2018 -0500
@@ -3,7 +3,7 @@
b6a8b49e2173ba5a1b34d00e68e0ed8addac3ebd vim/bundle/abolish
a16a9b63eb85cc0960a7f25c54647ac1f99f3360 vim/bundle/ack
5e4a535e2d239cba3db19b6b79abedbc7c541727 vim/bundle/badwolf
-a4d79fc208764917cb58e2aed6fbaeb5e3356d33 vim/bundle/clam
+b542a7bc4d9bc5da8fb12e110fe7975131fb57a4 vim/bundle/clam
8295187ea1210138c0b171d8e3ec3569936f4c1a vim/bundle/commentary
c6d1fc5e58d689bfb104ff336aeb89d9ef1b48e2 vim/bundle/ctrlp
38487bbec8ba50834e257940b357de03991fa8f9 vim/bundle/delimitmate
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/dns-lookup Sat Dec 15 16:57:13 2018 -0500
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+host -t a "$1" 8.8.8.8 | grep 'has address' | head -1 | cuts -f4 | tr -d '\n'
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/extract-cookies Sat Dec 15 16:57:13 2018 -0500
@@ -0,0 +1,40 @@
+#!/usr/bin/env bash
+
+# from https://gist.githubusercontent.com/spk/5014421/raw/0055721469fe0979afbe12b602444b50608e4a74/extract_cookies.sh
+
+# extract_cookies > ~/.cookies.txt
+# wget --load-cookies=~/.cookies.txt http://mysite.com
+# or
+# curl --cookie ~/.cookies.txt http://mysite.com
+
+set -euo pipefail
+
+cleanup() {
+ rm -f $TMPFILE
+ exit 1
+}
+
+trap cleanup \
+ EXIT INT QUIT TERM
+
+# This is the format of the sqlite database:
+# CREATE TABLE moz_cookies (id INTEGER PRIMARY KEY, name TEXT, value TEXT, host TEXT, path TEXT,expiry INTEGER, lastAccessed INTEGER, isSecure INTEGER, isHttpOnly INTEGER);
+
+# We have to copy cookies.sqlite, because FireFox has a lock on it
+TMPFILE=`mktemp /tmp/cookies.sqlite.XXXXXXXXXX`
+cat $1 >> $TMPFILE
+
+sqlite3 -separator ' ' $TMPFILE << EOF
+.mode tabs
+.header off
+SELECT host,
+ case substr(host,1,1)='.' when 0 then 'FALSE' else 'TRUE' end,
+ path,
+ case isSecure when 0 then 'FALSE' else 'TRUE' end,
+ expiry,
+ name,
+ value
+ FROM moz_cookies;
+EOF
+
+cleanup
--- a/bin/rlwrap-lisp Wed Dec 12 13:40:28 2018 -0500
+++ b/bin/rlwrap-lisp Sat Dec 15 16:57:13 2018 -0500
@@ -3,7 +3,7 @@
rlwrap -m$ \
--multi-line-ext .lisp \
-a___ \
- --only-cook '^\[[a-zA-Z ]+\] [-a-zA-Z0-9._]+>' \
+ --only-cook '^\[[a-zA-Z ]+\] [-a-zA-Z0-9._/]+>' \
-p'1;36' \
--quote-characters '"' \
--histsize 1000 \
--- a/hgrc Wed Dec 12 13:40:28 2018 -0500
+++ b/hgrc Sat Dec 15 16:57:13 2018 -0500
@@ -21,6 +21,7 @@
progress =
fetch =
shelve =
+histedit =
prompt = ~/src/dotfiles/mercurial/hg-prompt/prompt.py
hggit = ~/.hg-git/hggit
--- a/lispwords Wed Dec 12 13:40:28 2018 -0500
+++ b/lispwords Sat Dec 15 16:57:13 2018 -0500
@@ -83,7 +83,7 @@
(1 gathering-vector)
(1 multiple-value-bind*)
(1 do-repeat)
-(1 do-irange)
+(1 do-range do-irange)
; qtools
(1 qtenumcase)
--- a/sbclrc Wed Dec 12 13:40:28 2018 -0500
+++ b/sbclrc Sat Dec 15 16:57:13 2018 -0500
@@ -6,6 +6,8 @@
(load quicklisp-init)))
;;
+(setf (ql-config:config-value "proxy-url") "http://127.0.0.1:14600")
+
; (pushnew "~/lib/asdf/" asdf:*central-registry* :test #'equal)
(defvar *last-package* nil)
--- a/weechat/python/autoload/zerotab.py Wed Dec 12 13:40:28 2018 -0500
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,72 +0,0 @@
-# -*- coding: utf-8 -*-
-#
-# Script Name: Zerotab.py
-# Script Author: Lucian Adamson <lucian.adamson@yahoo.com>
-# Script License: GPL
-# Alternate Contact: Freenode IRC nick i686
-#
-# 2011-09-20, Nils Görs <weechatter@arcor.de>:
-# version 1.4: fixed: latest nick from join/part messages were used.
-# 2010-12-04, Sebastien Helleu <flashcode@flashtux.org>:
-# version 1.3: use tag "nick_xxx" (WeeChat >= 0.3.4 only)
-# 2010-08-03, Sebastien Helleu <flashcode@flashtux.org>:
-# version 1.2: fix bug with nick prefixes (op/halfop/..)
-# 2010-08-03, Sebastien Helleu <flashcode@flashtux.org>:
-# version 1.1: fix bug with self nick
-
-
-SCRIPT_NAME='zerotab'
-SCRIPT_AUTHOR='Lucian Adamson <lucian.adamson@yahoo.com>'
-SCRIPT_VERSION='1.4'
-SCRIPT_LICENSE='GPL'
-SCRIPT_DESC='Will tab complete the last nick in channel without typing anything first. This is good for rapid conversations.'
-
-import_ok=True
-
-try:
- import weechat, re
-except ImportError:
- print 'This script must be run under WeeChat'
- print 'You can obtain a copy of WeeChat, for free, at http://www.weechat.org'
- import_ok=False
-
-latest_speaker={}
-weechat_version=0
-
-def my_completer(data, buffer, command):
- global latest_speaker
- str_input = weechat.buffer_get_string(weechat.current_buffer(), "input")
- if command == "/input complete_next" and str_input == '':
- nick = latest_speaker.get(buffer, "")
- if nick != "":
- weechat.command(buffer, "/input insert " + nick)
- return weechat.WEECHAT_RC_OK
-
-def hook_print_cb(data, buffer, date, tags, displayed, highlight, prefix, message):
- global latest_speaker
- alltags = tags.split(',')
- if 'notify_message' in alltags:
- nick = None
- if int(weechat_version) >= 0x00030400:
- # in version >= 0.3.4, there is a tag "nick_xxx" for each message
- for tag in alltags:
- if tag.startswith('nick_'):
- nick = tag[5:]
- break
- else:
- # in older versions, no tag, so extract nick from printed message
- # this is working, except for irc actions (/me ...)
- nick = prefix
- if re.match('^[@%+~*&!-]', nick):
- nick = nick[1:]
- if nick:
- local_nick = weechat.buffer_get_string(buffer, "localvar_nick")
- if nick != local_nick:
- latest_speaker[buffer] = nick
- return weechat.WEECHAT_RC_OK
-
-if __name__ == "__main__" and import_ok:
- if weechat.register(SCRIPT_NAME, SCRIPT_AUTHOR, SCRIPT_VERSION, SCRIPT_LICENSE, SCRIPT_DESC, "", ""):
- weechat_version = weechat.info_get("version_number", "") or 0
- weechat.hook_print("", "", "", 1, "hook_print_cb", "")
- weechat.hook_command_run('/input complete*', 'my_completer', '')